Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.xml.rpc
Class FaultDetailException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.microedition.xml.rpc.FaultDetailException

public class FaultDetailException
extends java.lang.Exception

The `FaultDetailException` class is used to return service specific exception detail values, and an associated `QName`, to a `Stub` instance.

This exception class is returned from the runtime implementation as the `cause` of a `JAXRPCException` and retrieved via the `JAXRPCException.getLinkedCause` method.

See Also:
  `JAXRPCException`, `FaultDetailHandler`

Constructor Summary
`FaultDetailException(QName faultDetailName, java.lang.Object faultDetail)` Constructs a new exception with the specified fault detail and associated fault detail `QName`.

Method Summary
`java.lang.Object` | `getFaultDetail()` Returns the fault detail values
`QName` | `getFaultDetailName()` Returns the QName of the fault detail element associated with this exception.

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FaultDetailException

    public FaultDetailException(QName faultDetailName,
                                java.lang.Object faultDetail)

  Constructs a new exception with the specified fault detail and associated fault detail `QName`.

Parameters:
  `faultDetail` - Object array containing the values for SOAP fault detail. The values are retrieved using the getFaultDetail method
  `faultDetailName` - the `QName` of the SOAP fault detail element
See Also:
  `QName`

Method Detail

### getFaultDetail

    public java.lang.Object getFaultDetail()

  Returns the fault detail values

  Returns:
    the fault detail values for the service specific exception

### getFaultDetailName

    public QName getFaultDetailName()

  Returns the QName of the fault detail element associated with this exception.

  Returns:
    the `QName` of the fault detail element
  See Also:
    `QName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 1.0 of J2ME Web Services Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved. Use is subject to license terms.